## rtpstreamdepay

rtpstreamdepay

## Types and Values

struct | GstRtpStreamDepay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstRtpStreamDepay

## Description

Implements stream depayloading of RTP and RTCP packets for connection-oriented transport protocols according to RFC4571.

### Example launch line

    1
    2

    gst-launch-1.0 audiotestsrc ! "audio/x-raw,rate=48000" ! vorbisenc ! rtpvorbispay config-interval=1 ! rtpstreampay ! tcpserversink port=5678
    gst-launch-1.0 tcpclientsrc port=5678 host=127.0.0.1 do-timestamp=true ! "application/x-rtp-stream,media=audio,clock-rate=48000,encoding-name=VORBIS" ! rtpstreamdepay ! rtpvorbisdepay ! decodebin ! audioconvert ! audioresample ! autoaudiosink

## Synopsis

### Element Information

plugin | rtp
author | Sebastian Dröge <sebastian@centricular.com>
class | Codec/Depayloader/Network

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp-stream
| application/x-rtcp-stream
| application/x-srtp-stream
| application/x-srtcp-stream

name | src
direction | source
presence | always
details | application/x-rtp
| application/x-rtcp
| application/x-srtp
| application/x-srtcp

## Functions

## Types and Values

### struct GstRtpStreamDepay

    struct GstRtpStreamDepay;